## folks 0.15.9

=== meson_options.txt ===
# Backends
option('bluez_backend', type: 'boolean', value: true, description: 'build the Bluez backend')
option('eds_backend', type: 'boolean', value: true, description: 'build the E-D-S backend')
option('ofono_backend', type: 'boolean', value: true, description: 'build the oFono backend')
option('telepathy_backend', type: 'boolean', value: true, description: 'build the Telepathy backend')
option('zeitgeist', type: 'boolean', value: false, description: 'build Zeitgeist support in the Telepathy backend')
# Tools
option('import_tool', type: 'boolean', value: true, description: 'Enable building the meta-contact import tool')
option('inspect_tool', type: 'boolean', value: true, description: 'Enable building the data inspection tool')
# Profiling
option('profiling', type: 'boolean', value: false, description: 'Enable profiling using sysprof')
# Test options
option('tests', type: 'boolean', value: true, description: 'Build tests programs')
option('installed_tests', type: 'boolean', value: false, description: 'Install test programs')
# Docs
option('docs', type: 'boolean', value: false, description: 'Enable documentation generation')

=== debian/changelog ===
folks (0.15.9-8) unstable; urgency=medium

  * Remove Suggests: devhelp

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 03 Dec 2025 22:11:46 -0500

folks (0.15.9-7) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Build-Depend on required GIR XML (gir1.2-*-dev)
  * d/control: Replace libgirepository1.0-dev B-D with
    gobject-introspection (Closes: #1118816)

  [ Jeremy Bícha ]
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 25 Oct 2025 17:27:11 -0400

folks (0.15.9-5) unstable; urgency=medium

  * Opt into Salsa CI
  * libfolks-dev: Use ${gir:Depends} & ${gir:Provides}
  * libfolks-dummy26: Add Lintian override

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 17 Jan 2025 19:51:14 -0500

folks (0.15.9-4) unstable; urgency=medium

  * Follow Ubuntu and ignore build test failures. The failures appear
    to have been triggered by glib 2.80 / gobject-introspection 1.80.
    See Ubuntu bug 2060073

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 20 Aug 2024 17:29:41 -0400

folks (0.15.9-3) unstable; urgency=medium

  * Enable sysprof profiling support on most architectures (LP: #2077465)
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 20 Aug 2024 16:15:39 -0400

folks (0.15.9-2) unstable; urgency=medium

  * Adjust dependency to >= ${source:Version} to allow binNMUs
    (Closes: #1067674)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 02 Apr 2024 16:07:16 -0400

folks (0.15.9-1) unstable; urgency=medium

  * New upstream release
    - Fix build failure

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 23 Mar 2024 07:41:20 -0400

=== debian/control ===
Source: folks
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               evolution-data-server (>=3.38) <!nocheck>,
               evolution-data-server-dev (>= 3.38),
               gir1.2-ebookcontacts-1.2-dev,
               gir1.2-edataserver-1.2-dev,
               gir1.2-gee-0.8-dev,
               gir1.2-gio-2.0-dev,
               gir1.2-gobject-2.0-dev,
               gir1.2-telepathyglib-0.12,
               gir1.2-telepathyglib-0.12-dev,
               gobject-introspection (>= 1.80),
               libdbus-glib-1-dev,
               libebook-contacts1.2-dev (>= 3.33.2),
               libebook1.2-dev (>= 3.33.2),
               libedataserver1.2-dev (>= 3.33.2),
               libgee-0.8-dev (>= 0.8.4),
               libglib2.0-dev (>= 2.58),
               libreadline-dev,
               libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4],
               libtelepathy-glib-dev (>= 0.19.9),
               libxml2-dev,
               meson (>= 0.57),
               python3-dbusmock,
               valac (>= 0.22)
Build-Depends-Indep: gtk-doc-tools <!nodoc>, valadoc <!nodoc>
Standards-Version: 4.7.2
Section: libs
Homepage: https://wiki.gnome.org/Projects/Folks
Vcs-Git: https://salsa.debian.org/gnome-team/folks.git
Vcs-Browser: https://salsa.debian.org/gnome-team/folks

Package: libfolks26
Architecture: any
Depends: folks-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libfolks-eds26
Multi-Arch: same
Description: library to aggregates people into metacontacts
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.

Package: libfolks-dev
Section: libdevel
Architecture: any
Depends: gir1.2-folks-0.7 (= ${binary:Version}),
         libfolks26 (= ${binary:Version}),
         libgee-0.8-dev,
         libglib2.0-dev (>= 2.58),
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Multi-Arch: same
Description: library to aggregates people into metacontact - development files
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the development files for libfolks library.

Package: libfolks-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Description: library to aggregates people into metacontact - documentation
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the documentation for libfolks library.

Package: folks-common
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: library to aggregates people into metacontacts (common files)
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains common files (translations) used by folks components.

Package: gir1.2-folks-0.7
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends},
Provides: ${gir:Provides}
Multi-Arch: same
Section: introspection
Description: library to aggregates people into metacontacts - GObject-Introspection
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 It can be used by packages using the GIRepository format to generate dynamic
 bindings.

Package: libfolks-telepathy26
Architecture: any
Depends: libfolks26 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: folks-common (>= ${source:Version})
Multi-Arch: same
Description: Telepathy backend for libfolks
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the Telepathy backend for libfolks

Package: libfolks-telepathy-dev
Section: libdevel
Architecture: any
Depends: libfolks-dev (= ${binary:Version}),
         libfolks-telepathy26 (= ${binary:Version}),
         libglib2.0-dev (>= 2.58),
         libtelepathy-glib-dev (>= 0.19.9),
         ${misc:Depends}
Multi-Arch: same
Description: Telepathy backend for libfolks - development files
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the development files for libfolks telepathy backend.

Package: libfolks-telepathy-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Description: Telepathy backend for libfolks - documentation
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the documentation for libfolks telepathy backend.

Package: libfolks-eds26
Architecture: any
Depends: evolution-data-server (>= 3.38),
         libfolks26 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: folks-common (>= ${source:Version})
Multi-Arch: same
Description: Evolution-data-server backend for libfolks
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the EDS backend for libfolks

Package: libfolks-eds-dev
Section: libdevel
Architecture: any
Depends: libebook1.2-dev (>= 3.13.90),
         libedataserver1.2-dev (>= 3.13.90),
         libfolks-dev (= ${binary:Version}),
         libfolks-eds26 (= ${binary:Version}),
         libglib2.0-dev (>= 2.58),
         ${misc:Depends}
Multi-Arch: same
Description: Evolution-data-server backend for libfolks - development files
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the development files for libfolks EDS backend.

Package: libfolks-eds-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Description: Evolution-data-server backend for libfolks - documentation
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the documentation for libfolks EDS backend.

Package: libfolks-dummy26
Architecture: any
Depends: libfolks26 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: folks-common (>= ${source:Version})
Multi-Arch: same
Description: Dummy backend for libfolks
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the dummy backend for libfolks

Package: libfolks-dummy-dev
Section: libdevel
Architecture: any
Depends: libfolks-dev (= ${binary:Version}),
         libfolks-dummy26 (= ${binary:Version}),
         libfolks-eds26 (= ${binary:Version}),
         libglib2.0-dev (>= 2.58),
         ${misc:Depends}
Multi-Arch: same
Description: Dummy backend for libfolks - development files
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the development files for libfolks dummy backend.

Package: libfolks-dummy-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Description: Dummy backend for libfolks - documentation
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the documentation for libfolks dummy backend.

Package: folks-tools
Section: utils
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: folks-common (>= ${source:Version})
Description: Telepathy backend for libfolks - database and import tools
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains tools to inspect the folks database and import
 metacontacts from pidgin

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

BUILD_DOC:=-Ddocs=false
# only build if the profile nodoc is NOT set
ifeq ($(filter nodoc, $(DEB_BUILD_OPTIONS)),)
# and valadoc is installed
ifneq ($(shell which valadoc),)
  BUILD_DOC:=-Ddocs=true
endif
endif

ifneq ($(filter amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4,$(DEB_HOST_ARCH)),)
SYSPROF = -Dprofiling=true
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Deds_backend=true \
		-Dimport_tool=true -Dinspect_tool=true -Dzeitgeist=false \
		-Dofono_backend=false -Dbluez_backend=false $(SYSPROF) $(BUILD_DOC)

override_dh_makeshlibs:
	dh_makeshlibs -plibfolks26 -X/backends/
	dh_makeshlibs -plibfolks-telepathy26 -X/backends/
	dh_makeshlibs -plibfolks-eds26 -X/backends/
	dh_makeshlibs -plibfolks-dummy26 -X/backends/

# Ignore test failures. See https://launchpad.net/bugs/2060073
override_dh_auto_test:
	dh_auto_test --no-parallel -- --timeout-multiplier 3 || true

## folks 0.15.12

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
 Source: folks
-Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -29,7 +28,7 @@
                python3-dbusmock,
                valac (>= 0.22)
 Build-Depends-Indep: gtk-doc-tools <!nodoc>, valadoc <!nodoc>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Section: libs
 Homepage: https://wiki.gnome.org/Projects/Folks
 Vcs-Git: https://salsa.debian.org/gnome-team/folks.git
